---
search:
  tags:
    - Static Listings
    - GET
seo:
  description: >-
    Retrieves a specific static listing by its ID. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/static-listings/{listing_id} endpoint in the
    Management API.
sidebar:
  label: Get a static listing
  badge: GET
title: Get a static listing
type: openapi-operation
---
Retrieves a specific static listing by its ID

`GET /api/v1/{team_slug}/{app_slug}/static-listings/{listing_id}`

**Responses**

- `200` — static-listing retrieved successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Not found
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "slug": "string",
    "updated_at": "string",
    "variants": [
      {
        "app_id": "string",
        "custom_fields": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "product_id": "string",
        "product_name": "string",
        "variant_name": "string",
        "variant_number": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
